## Exercise 1
Write a class component, with an input that takes the data from the user, the data is then displayed (rendered) as an `h1` in the page.
If no text is provided it should display a text saying "no data provided!" 

> You should use the `onChange` event


## Exercise 2 / Optional with hooks
Refactor the previous exercise, this time using a functional component and the `useState` hook. Take a look at `useState` in the "Hooks" block of React part. 


## Exercise 3
In a functional component, create a `div` which contains 2 inputs and one button.
Each of these should be a separate child component, all rendered by a parent component called App.
You should collect the data from the inputs and make it available in the parent component (using a function would work for this).

Input 1 should collect the user's email.
Input 2 should collect the user's password.

When the button (also a separate component) is clicked then you should alert the data collected by the two inputs.

> You should use the `onChange` and `onClick` events


## ToDo app (of course!)
Please find the description in the todo_app folder of block03